rte_regexdev_rule(3)

NAME
rte_regexdev_rule

SYNOPSIS

#include <rte_regexdev.h>

  Data Fields

enum rte_regexdev_rule_op op
uint16_t group_id
uint32_t rule_id
const char * pcre_rule
uint16_t pcre_rule_len

Detailed Description

Structure to hold a RegEx rule attributes.

Definition at line 954 of file rte_regexdev.h.

Field Documentation

  enum rte_regexdev_rule_op op
OP type of the rule either a OP_ADD or OP_DELETE.

Definition at line 955 of file rte_regexdev.h.

  uint16_t group_id
Group identifier to which the rule belongs to.

Definition at line 957 of file rte_regexdev.h.

  uint32_t rule_id
Rule identifier which is returned on successful match.

Definition at line 959 of file rte_regexdev.h.

  const char* pcre_rule
Buffer to hold the PCRE rule.

Definition at line 961 of file rte_regexdev.h.

  uint16_t pcre_rule_len
Length of the PCRE rule.

Definition at line 963 of file rte_regexdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.